# Through Smart Contracts

1. Find the BoostOffer you want to buy a veBoost from. This will allow to find the Seller that created that Offer.&#x20;
2. With the percent of the Seller balance you want to use for the Boost, and the duration (in weeks), use the `estimateFees()` method (or `estimateFeesPercent()` if you want to buy a %age of an Offer) to find the CRV price to buy that Boost (if the parameter given are incorrect, do not fit in the parameters of the Seller Offer, or if the Seller veCRV lock duration ends before the duration asked for, the estimation will fail)
3. Approve the returned estimated amount of CRV to Warden to pay for the Boost fees
4. Then call the `buyDelegationBoost()` method (or `buyDelegationBoostPercent()`) to buy your Boost. The `maxFeeAmount` parameter is the amount of CRV given in step 3. The `receiver` is the address chosen to receive the Boost. The rest of the parameters are the same than step 3.

{% hint style="danger" %}
The Buyer will then need to call the user\_checkpoint() method on all Curve V4 & Factory Gauges currently farming, to apply the newly received Boost
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paladin.vote/warden-boost/how-to-use-warden/as-a-buyer/through-smart-contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
